%define upstream_name    Text-Patch
%define upstream_version 1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Patches text with given patch
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Diff)
BuildArch: noarch


%{?perl_default_filter}

%description
Text::Patch combines source text with given diff (difference) data. Diff
data is produced by Text::Diff module or by the standard diff utility (man
diff, see -u option).

* patch( $source, $diff, options... )

  First argument is source (original) text. Second is the diff data. Third
  argument can be either hash reference with options or all the rest
  arguments will be considered patch options:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.800.0-9.mga6
+ Revision: 1035046
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.800.0-8.mga6
+ Revision: 940463
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.800.0-7.mga5
+ Revision: 746307
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.800.0-6.mga5
+ Revision: 736099
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.800.0-5.mga5
+ Revision: 686642
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.800.0-4.mga4
+ Revision: 515593
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.800.0-3.mga3
+ Revision: 374132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.800.0-2.mga1
+ Revision: 29304
- rebuild
- mageia rebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 24143
- cleaning spec file
- imported package perl-Text-Patch

